Subject: Re: "git-whatever" the new style vs. "git whatever"?

From: [email-masked]
Date: Tue, 30 Dec 2008 06:22:17 +0800

>> That shouldn't be a problem for much longer because "git-whatever"
>> will stop working.  From what I understand, "git whatever" has
>> always been the preferred form, and the fact that "git-whatever"
>> worked was just a implementation detail.

I thought if A worked from the start, and now B also works, you all
must have been moving to B, and so I made all my shell scripts use B.

ALAS> This is a revisionist history. Check the history of the git command to
ALAS> find out when it was created and then check the ML archives for
ALAS> related discussions.

All I know is we beginners just encounter both forms in the literature
and won't know about looking into whatever histories... and assumed until
this post that git-whatever was the new style! OK, now I know the truth.